#ifdef LC6_DEBUG

#ifndef LC6_DEBUG_H
#define LC6_DEBUG_H

// DO NOT include the common.h here.
// because we're overriding functions
// #include "../inc/lc6_common.h"

void* lc6debug_malloc(size_t, char *, const char*, int);
void* lc6debug_realloc(void *ptr, size_t, char *, const char*, int);
void  lc6debug_free(void *ptr, char *, const char*, int);

#define malloc(x) lc6debug_malloc(x, __FILE__, __func__, __LINE__)
#define realloc(x,y) lc6debug_realloc(x, y, __FILE__, __func__, __LINE__)
#define free(x) lc6debug_free(x, __FILE__, __func__, __LINE__)

#endif

#endif
