#ifndef LC6_MSG_H
#define LC6_MSG_H


#include "../inc/lc6_common.h"

void lc6msg_tlv_add_utf8(LC6_MSG *msg, int type, int length, void *value);
void lc6msg_tlv_add_uuid(LC6_MSG *msg, int type, int length, void *value);
void lc6msg_tlv_add_binary(LC6_MSG *msg, int type, int length, void *value);
void lc6msg_tlv_add_ipport(LC6_MSG *msg, int type, LC6_IPADDR *ip, uint16_t port);
void lc6msg_tlv_add_integer(LC6_MSG *msg, int type, uint64_t value);
void lc6msg_tlv_append(LC6_MSG *msg, LC6_MSG_TLV *tlv);
void lc6msg_tlv_free(LC6_MSG *msg);

#endif
